package com.fzm.portal.controller;

import com.fzm.common.annotation.Authentication;
import com.fzm.common.entity.Order;
import com.fzm.common.entity.dto.OrderDto;
import com.fzm.common.enums.PayScene;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.CopyrightApplyService;
import com.fzm.common.service.NftService;
import com.fzm.common.service.OrderService;
import com.fzm.common.utils.SnowflakeUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author tangtuo
 * @date 2022/1/20 18:22
 */
@Authentication
@Api(tags = "作品类别")
@RestController
@RequestMapping("/opus/category")
public class OrderController {

    @Resource
    private OrderService orderService;


    @PostMapping("/create")
    @ApiOperation("下单")
    public ResponseModel<Long> createOrder(@RequestBody OrderDto orderDto) {
        Long orderId = orderService.createOrder(orderDto);
        return ResponseModel.success(orderId);
    }


    @GetMapping("/query-order-status")
    @ApiOperation(value = "查询订单状态")
    public ResponseModel<Integer> queryOrderStatus(@PathVariable Long orderId) {
        return ResponseModel.success(orderService.getById(orderId).getOrderStatus());
    }
}
